use crate::measurement::Measurement;

pub type Scalar = Measurement<0, 0, 0, 0, 0, 0, 0>;
pub type Time = Measurement<1, 0, 0, 0, 0, 0, 0>;
pub type Frequency = Measurement<-1, 0, 0, 0, 0, 0, 0>;
pub type Length = Measurement<0, 1, 0, 0, 0, 0, 0>;
pub type Area = Measurement<0, 2, 0, 0, 0, 0, 0>;
pub type Speed = Measurement<-1, 1, 0, 0, 0, 0, 0>;
pub type Acceleration = Measurement<-2, 1, 0, 0, 0, 0, 0>;
pub type Mass = Measurement<0, 0, 1, 0, 0, 0, 0>;
pub type MassPerDist = Measurement<0, -1, 1, 0, 0, 0, 0>;
pub type Density = Measurement<0, -3, 1, 0, 0, 0, 0>;
pub type MassMoment = Measurement<0, 2, 1, 0, 0, 0, 0>;
pub type Force = Measurement<-2, 1, 1, 0, 0, 0, 0>;
pub type ForceMoment = Measurement<-2, 2, 1, 0, 0, 0, 0>;
pub type Pressure = Measurement<-2, -1, 1, 0, 0, 0, 0>;
pub type Energy = Measurement<-2, 2, 1, 0, 0, 0, 0>;
pub type Power = Measurement<-3, 2, 1, 0, 0, 0, 0>;
pub type Current = Measurement<0, 0, 0, 1, 0, 0, 0>;
pub type Charge = Measurement<1, 0, 0, 1, 0, 0, 0>;
pub type Capacitance = Measurement<4, -2, -1, 1, 0, 0, 0>;
pub type Potential = Measurement<-3, -2, 1, -1, 0, 0, 0>;
pub type Resistance = Measurement<-3, 2, 1, -2, 0, 0, 0>;
pub type Conductance = Measurement<3, -2, -1, 2, 0, 0, 0>;
pub type Flux = Measurement<-2, 2, 1, -1, 0, 0, 0>;
pub type FluxDensity = Measurement<2, 0, 1, -1, 0, 0, 0>;
pub type Inductance = Measurement<-2, 2, 1, -2, 0, 0, 0>;
pub type Temperature = Measurement<0, 0, 0, 0, 1, 0, 0>;
pub type Amount = Measurement<0, 0, 0, 0, 0, 1, 0>;
pub type Catalytic = Measurement<-1, 0, 0, 0, 0, 1, 0>;
pub type Intensity = Measurement<0, 0, 0, 0, 0, 0, 1>;
