#![feature(generic_const_exprs)]

pub mod dimensions;
pub mod units;
pub mod prefixes;
pub mod measurement;

pub trait Unit<D> {
    fn new(v: f64) -> D;
    fn scale() -> f64;
    fn offset() -> f64;
}

pub mod prelude {
    use crate::Unit;
    pub use crate::units::{Meter, Gram, Kilogram, Second, Hour, Hertz};
    pub use crate::dimensions::*;
    pub use crate::prefixes::*;
    pub use crate::measurement::Measurement;
}
